com.thinkaurelius.titan.graphdb.transaction.addedrelations

## Class SimpleBufferAddedRelations

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleBufferAddedRelations

- All Implemented Interfaces:
    AddedRelationsContainer
  Direct Known Subclasses:
    ConcurrentBufferAddedRelations

      public class SimpleBufferAddedRelations
      extends Object
      implements AddedRelationsContainer

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.transaction.addedrelations.AddedRelationsContainer

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleBufferAddedRelations()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(InternalRelation relation)`
    `Collection<InternalRelation>` | `getAll()` This method returns all relations in this container.
    `List<InternalRelation>` | `getView(com.google.common.base.Predicate<InternalRelation> filter)`
    `boolean` | `isEmpty()`
    `boolean` | `remove(InternalRelation relation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleBufferAddedRelations

          public SimpleBufferAddedRelations()

  - ### Method Detail

    - #### add

          public boolean add(InternalRelation relation)

      Specified by:
        `add` in interface `AddedRelationsContainer`

    - #### remove

          public boolean remove(InternalRelation relation)

      Specified by:
        `remove` in interface `AddedRelationsContainer`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `AddedRelationsContainer`

    - #### getView

          public List<InternalRelation> getView(com.google.common.base.Predicate<InternalRelation> filter)

      Specified by:
        `getView` in interface `AddedRelationsContainer`

    - #### getAll

          public Collection<InternalRelation> getAll()

      Description copied from interface: `AddedRelationsContainer`
      This method returns all relations in this container. It may only be invoked at the end of the transaction after there are no additional changes. Otherwise the behavior is non deterministic.
      Specified by:
        `getAll` in interface `AddedRelationsContainer`
      Returns:

Copyright © 2012–2014. All rights reserved.